# Flash if expanding item within itself

The item *Item in itself* demonstrates that when clicking the nested forcefully collapsed reference, instead of expanding, the super collapses.

This is correct, because expanding would lead to infinite recursion, but collapsing the super instead is not intuitive.

Instead, nothing should change when it comes to item states and the super should just flash and scroll into view.

This should work if the items is contained immediately within itself (like *Item within itself* is) or n-levels deeper (like *First subitem* is).
